package com.hzs.common.security.auth;

import com.hzs.member.base.dto.LoginMember;

/**
 * Token 权限验证工具类
 *
 * @author hzs
 */
public class AuthMemberUtil {

    /**
     * 底层的 AuthLogic 对象
     */
    public static AuthMemberLogic authMemberLogic = new AuthMemberLogic();

    /**
     * 会话注销
     */
    public static void logout() {
        authMemberLogic.logout();
    }

    /**
     * 会话注销，根据指定Token
     *
     * @param token 指定token
     */
    public static void logoutByToken(String token) {
        authMemberLogic.logoutByToken(token);
    }

    /**
     * 获取当前登录用户信息
     */
    public static LoginMember getLoginMember(String token) {
        return authMemberLogic.getLoginMember(token);
    }

    /**
     * 验证当前用户有效期
     */
    public static void verifyLoginMemberExpire(LoginMember loginMember) {
        authMemberLogic.verifyLoginMemberExpire(loginMember);
    }

}
